Gnome error after update [Solved]

If you are new to Linux or new to Sabayon Linux and just not sure where to post, here ya go. Post without fear of being told to RTFM :)

Moderator: Moderators

ghartshaw
Baby Hen
Posts: 5
Joined: Mon Nov 15, 2010 22:29
Location: Houghton NY, United States

Gnome error after update [Solved]

Post by ghartshaw » Tue Dec 14, 2010 5:26

After updating my system, gnome gives the following error on reboot.

Code: Select all

There was an error loading theme Sabayon_Linux.
Couldn't recognize the image file format for file '/usr/share/backgrounds/kgdm.jpg'
I have tried reinstalling gtk+ and running update-mime-database as suggested elsewhere. Does anyone have any ideas?
Last edited by ghartshaw on Mon Dec 20, 2010 20:17, edited 1 time in total.

joost
Sagely Hen
Posts: 2803
Joined: Fri Nov 17, 2006 12:11
Location: The Netherlands
Contact:

Re: Gnome error after update

Post by joost » Tue Dec 14, 2010 9:51

Code: Select all

BZ-PC-12 jruis # ls /usr/share/backgrounds/kgdm.jpg
/usr/share/backgrounds/kgdm.jpg
BZ-PC-12 jruis # equery belongs /usr/share/backgrounds/kgdm.jpg
 * Searching for /usr/share/backgrounds/kgdm.jpg ... 
x11-themes/sabayon-artwork-core-5.4 (/usr/share/backgrounds/kgdm.jpg)
Try to reinstall x11-themes/sabayon-artwork-core
perhaps the file got corrupted or something?

Another thing to try might be to reinstall x11-misc/shared-mime-info
My blog | Mastodon | Please support Sabayon: Become a Patron

ghartshaw
Baby Hen
Posts: 5
Joined: Mon Nov 15, 2010 22:29
Location: Houghton NY, United States

Re: Gnome error after update

Post by ghartshaw » Wed Dec 15, 2010 3:12

The file seems fine. When opening in gimp it loads fine but give an error saying that "Image type 'png' is not supported". Image viewer give unrecognized file format. I have not gotten the chance to test reinstallation of those packages yet.

Also, all of the icons are initially missing in gnome applications. After reboot, the original message appears, and on login, the background is grey and the menubars have disappeared.

ghartshaw
Baby Hen
Posts: 5
Joined: Mon Nov 15, 2010 22:29
Location: Houghton NY, United States

Re: Gnome error after update

Post by ghartshaw » Wed Dec 15, 2010 3:41

Nope, no change. Any other ideas?

bloodyscript
Simple Hen
Posts: 43
Joined: Tue Nov 11, 2008 22:23

Re: Gnome error after update

Post by bloodyscript » Wed Dec 15, 2010 4:11

i have the same problem after i updated. i have managed to get it to stop the error msg by changing the current theme of the computer but default sabayon theme will not work at all on my computer. but still my icons have dissappeared and there seems to be a loss of overall performance loading the menues (applications, places, system) fluxbox works tho.

maZayka
Young Hen
Posts: 36
Joined: Thu Feb 04, 2010 21:24
Location: Москва
Contact:

Re: Gnome error after update

Post by maZayka » Wed Dec 15, 2010 21:34

help!!! i have this problem!!
Женщина не должна быть дурой, всё отстальное поддается коррекции))

ghartshaw
Baby Hen
Posts: 5
Joined: Mon Nov 15, 2010 22:29
Location: Houghton NY, United States

Re: Gnome error after update

Post by ghartshaw » Wed Dec 15, 2010 23:26

I'm pretty sure it is caused by a change in gnome 2.32, but I don't know what.

[EDIT: No, it was not.]

Kalastor
Baby Hen
Posts: 7
Joined: Sat Jan 20, 2007 20:45

Re: Gnome error after update

Post by Kalastor » Thu Dec 16, 2010 13:24

Same problem here.

I tried to re-install pretty everything, with no success.

Now I'm stuck using links, vim and nano in the terminal. To post here I'm using fluxbox but a lot of images are not working here too.

I really don't know what to do right now.

I tried to emerge gtk+, but I've too much broken dependencies to accomplish it.

joost
Sagely Hen
Posts: 2803
Joined: Fri Nov 17, 2006 12:11
Location: The Netherlands
Contact:

Re: Gnome error after update

Post by joost » Thu Dec 16, 2010 13:28

Do not mix Portage and Entropy!

- Did anybody try running equo deptest and equo libtest?
- Do you have libpng:1.2 and libpng:0 installed?
- Is this on 64bits arch?
My blog | Mastodon | Please support Sabayon: Become a Patron

Kalastor
Baby Hen
Posts: 7
Joined: Sat Jan 20, 2007 20:45

Re: Gnome error after update

Post by Kalastor » Thu Dec 16, 2010 13:49

I usually don't mix them, except in extremely important situations. I had a bad experience mixing them on the 3.4... :bom:

However.. libtest and deptest give no notification of broken deps or libs back..
I just checked that I've installed all libpng in the entropy { libpng-1.2.43-r3, libpng-1.4.4, gst-plugins-libpng }
I'm on the 32bit version..

But is possible the libpng 1.2.43 conflict in some way with the 1.4.4 ?
My kernel version is .35-sabayon.

{Excuse me about my bad En}

Post Reply